## skorch 0.9.0

=== requirements.txt ===
numpy>=1.13.3
scikit-learn>=0.19.1
scipy>=1.1.0
tabulate>=0.7.7
tqdm>=4.14.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = skorch
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== docs/requirements.txt ===
numpy>=1.13.3
https://download.pytorch.org/whl/cpu/torch-1.1.0-cp37-cp37m-linux_x86_64.whl
sphinx-rtd-theme==0.4.0
numpydoc==0.8.0

=== examples/nuclei_image_segmentation/requirements.txt ===
torchvision>=0.2.1
matplotlib>=2.2.2
kaggle>=1.4.2
notebook>=5.7.8

=== debian/changelog ===
skorch (0.9.0-3ubuntu1) jammy; urgency=medium

  * Build-depend on python3 instead of python3-all
  * Drop X-Python3-Version: 3.9 from debian/control

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 15:37:29 +0000

skorch (0.9.0-3) unstable; urgency=medium

  * Specify X-Python3-Version: 3.9 .
  * Make tests verbose and ignore test failure.

 -- Mo Zhou <lumin@debian.org>  Thu, 26 Nov 2020 15:21:35 +0800

skorch (0.9.0-2) unstable; urgency=medium

  * Update maintainer mail address to debian-ai@l.d.o.
  * Disable python3.9 for pybuild.
  * d/rules: Purge undesired .coverage files from result binary package.
  * Apply wrap-and-sort.
  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Wed, 21 Oct 2020 15:28:33 +0800

skorch (0.9.0-1) experimental; urgency=medium

  * Initial release. (Closes: #961565)

 -- Mo Zhou <lumin@debian.org>  Mon, 31 Aug 2020 11:59:42 +0800

=== debian/control ===
Source: skorch
Section: science
Homepage: https://github.com/skorch-dev/skorch
Priority: optional
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/deeplearning-team/skorch.git
Vcs-Browser: https://salsa.debian.org/deeplearning-team/skorch
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
Uploaders: Mo Zhou <lumin@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3,
               python3-coverage <!nocheck>,
               python3-flaky <!nocheck>,
               python3-numpy,
               python3-pandas <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-scipy,
               python3-setuptools,
               python3-sklearn,
               python3-tabulate,
               python3-torch (>= 1.3.1),
               python3-tqdm

Package: python3-skorch
Architecture: all
Depends: python3-torch (>= 1.3.1), ${misc:Depends}, ${python3:Depends}
Description: scikit-learn compatible neural network library that wraps PyTorch
 The goal of skorch is to make it possible to use PyTorch with sklearn. This is
 achieved by providing a wrapper around PyTorch that has an sklearn interface.
 In that sense, skorch is the spiritual successor to nolearn, but instead of
 using Lasagne and Theano, it uses PyTorch.
 .
 skorch does not re-invent the wheel, instead getting as much out of your way as
 possible. If you are familiar with sklearn and PyTorch, you don’t have to learn
 any new concepts, and the syntax should be well known. (If you’re not familiar
 with those libraries, it is worth getting familiarized.)
 .
 Additionally, skorch abstracts away the training loop, making a lot of
 boilerplate code obsolete. A simple net.fit(X, y) is enough. Out of the box,
 skorch works with many types of data, be it PyTorch Tensors, NumPy arrays,
 Python dicts, and so on. However, if you have other data, extending skorch is
 easy to allow for that.
 .
 Overall, skorch aims at being as flexible as PyTorch while having a clean
 interface as sklearn.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_TEST_ARGS = -v

%:
	dh $@ -Spybuild --with python3

execute_after_dh_auto_install:
	-find debian -type f -name .coverage -delete

override_dh_auto_test:
	-dh_auto_test

## skorch 0.12.1

=== requirements.txt ===
numpy>=1.13.3
scikit-learn>=0.22.0
scipy>=1.1.0
tabulate>=0.7.7
tqdm>=4.14.0

=== docs/requirements.txt ===
docutils<0.18
gpytorch>=1.5
numpy>=1.13.3
torch>=1.11.0
transformers
sphinx-rtd-theme==0.4.0
numpydoc==0.8.0
scikit-learn>=0.19.1

=== debian/changelog ===
skorch (0.12.1-2) unstable; urgency=medium

  * d/control: set X-Python3-Version to 3.11 only (Closes: #1030745)

 -- Aron Xu <aron@debian.org>  Thu, 09 Feb 2023 16:56:15 +0800

skorch (0.12.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * Update standards version to 4.5.1, no changes needed.

  [ Aron Xu ]
  * Team upload.
  * New upstream version 0.12.1
  * d/control: bump X-Python3-Version to 3.10, 3.11
  * cherry-pick upstream patch to fix build with newer dependencies
  * d/rules: disable tests because archive doesn't have huggingface transformers
  * d/control: update std-ver to 4.6.2, no change

 -- Aron Xu <aron@debian.org>  Thu, 02 Feb 2023 18:53:05 +0800

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,14 @@
 Section: science
 Homepage: https://github.com/skorch-dev/skorch
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/deeplearning-team/skorch.git
 Vcs-Browser: https://salsa.debian.org/deeplearning-team/skorch
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
+Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
 Uploaders: Mo Zhou <lumin@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               python3,
+               python3-all,
                python3-coverage <!nocheck>,
                python3-flaky <!nocheck>,
                python3-numpy,
@@ -23,6 +22,7 @@
                python3-tabulate,
                python3-torch (>= 1.3.1),
                python3-tqdm
+X-Python3-Version: 3.11
 
 Package: python3-skorch
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -8,4 +8,4 @@
 	-find debian -type f -name .coverage -delete
 
 override_dh_auto_test:
-	-dh_auto_test
+	:

## skorch 0.15.0

=== debian/changelog ===
skorch (0.15.0-1) unstable; urgency=medium

  * New upstream version 0.15.0
  * Remove merged patches.
  * Add autopkgtest test case. (Closes: #1035253)
  * Fix FTBS twice in a row (Closes: #1045243)
  * control: Drop python version declaration.

 -- Mo Zhou <lumin@debian.org>  Thu, 21 Sep 2023 12:38:38 -0400

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,6 @@
                python3-tabulate,
                python3-torch (>= 1.3.1),
                python3-tqdm
-X-Python3-Version: 3.11
 
 Package: python3-skorch
 Architecture: all

=== debian/tests/control ===
Test-Command: python3 debian/tests/example1.py
Depends: @

## skorch 1.0.0

=== debian/changelog ===
skorch (1.0.0-1ubuntu1) plucky; urgency=medium

  * d/p/fix-docstring.patch: Apply upstream patch to fix autopkgtest
    regression due to docstring parsing issue in Python 3.13.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 25 Jan 2025 11:55:38 +0000

skorch (1.0.0-1) unstable; urgency=medium

  * New upstream version 1.0.0
  * Make cuda variant of pytorch an alternative dependency. (Closes: #1077503)
  * Fix autopkgtest dependencies.

 -- Mo Zhou <lumin@debian.org>  Fri, 25 Oct 2024 19:54:42 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/deeplearning-team/skorch.git
 Vcs-Browser: https://salsa.debian.org/deeplearning-team/skorch
-Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
 Uploaders: Mo Zhou <lumin@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
@@ -25,7 +26,8 @@
 
 Package: python3-skorch
 Architecture: all
-Depends: python3-torch (>= 1.3.1), ${misc:Depends}, ${python3:Depends}
+Depends: python3-torch (>= 1.3.1) | python3-torch-cuda (>= 1.3.1),
+         ${misc:Depends}, ${python3:Depends}
 Description: scikit-learn compatible neural network library that wraps PyTorch
  The goal of skorch is to make it possible to use PyTorch with sklearn. This is
  achieved by providing a wrapper around PyTorch that has an sklearn interface.

## skorch 1.1.0

=== docs/requirements.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
 docutils<0.18
 gpytorch>=1.5
 numpy>=1.13.3
+tabulate>=0.7.7
 torch>=1.11.0
 transformers
 sphinx-rtd-theme==0.4.0

=== debian/changelog ===
skorch (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0
  * Refresh existing patches with quilt.

 -- Mo Zhou <lumin@debian.org>  Fri, 21 Feb 2025 00:05:38 -0500

skorch (1.0.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/p/fix-docstring.patch: Apply upstream patch to fix autopkgtest
    regression due to docstring parsing issue in Python 3.13. (Closes: #1092802)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 25 Jan 2025 12:34:20 +0000

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/deeplearning-team/skorch.git
 Vcs-Browser: https://salsa.debian.org/deeplearning-team/skorch
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
+Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
 Uploaders: Mo Zhou <lumin@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_TEST_ARGS = -v

%:
	dh $@ -Spybuild --with python3

execute_after_dh_auto_install:
	-find debian -type f -name .coverage -delete \;

override_dh_auto_test:
# skipping tests for now because it requires many unpackaged python modules
	:

override_dh_auto_clean:
	dh_auto_clean
	-find . -type d -name 'skorch.egg*' -exec rm -rf '{}' \;

=== debian/tests/control ===
Test-Command: python3 debian/tests/example1.py
Depends: python3-torch, python3-skorch, python3-sklearn, python3-numpy, libopenmpi-dev
